using System.Collections.Generic;
using LitJson;

namespace Wizard;

public class CompetitionRegisterDeckTask : BaseTask
{
	public class CompetitionRegisterDeckTaskParam : BaseParam
	{
		public string deck_no_list;

		public bool is_published;
	}

	public CompetitionRegisterDeckTask()
	{
		base.type = ApiType.Type.CompetitionRegisterDeck;
	}

	public void SetParameter(List<DeckData> deckList, bool isPublished)
	{
		CompetitionRegisterDeckTaskParam competitionRegisterDeckTaskParam = new CompetitionRegisterDeckTaskParam();
		List<int> list = new List<int>();
		for (int i = 0; i < deckList.Count; i++)
		{
			list.Add(deckList[i].GetDeckID());
		}
		competitionRegisterDeckTaskParam.deck_no_list = JsonMapper.ToJson(list);
		competitionRegisterDeckTaskParam.is_published = isPublished;
		base.Params = competitionRegisterDeckTaskParam;
	}
}
